restinio::easy_parser::impl::transformer_invoker< expected_t< Result_Type, error_reason_t > > Struct Template Reference

`#include <easy_parser.hpp>`

## Static Public Member Functions

template<typename Transformer , typename Input_Type >
static RESTINIO_NODISCARD expected_t< Result_Type, parse_error_t > | invoke (source_t &source, Transformer &transformer, expected_t< Input_Type, parse_error_t > &&input)

## Detailed Description

template<typename Result_Type>
struct restinio::easy_parser::impl::transformer_invoker< expected_t< Result_Type, error_reason_t > >

This specialization of transformer_invoker handles a case when transformation method returns expected_t<T, error_reason_t>.

Since
  v.0.6.11

Definition at line 1068 of file easy_parser.hpp.

## Member Function Documentation

## invoke()

template<typename Result_Type >
template<typename Transformer , typename Input_Type >

static RESTINIO_NODISCARD expected_t< Result_Type, parse_error_t > restinio::easy_parser::impl::transformer_invoker< expected_t< Result_Type, error_reason_t > >::invoke | ( | source_t & | source,
|  | Transformer & | transformer,
|  | expected_t< Input_Type, parse_error_t > && | input
| ) |  |

inlinestatic

Definition at line 1073 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp